Commit c583a577 authored by webchick's avatar webchick

Issue #2559299 by tarekdj, vprocessor: Update JS lib: backbone to 1.2.3

parent e648812d
This diff is collapsed.
This diff is collapsed.
......@@ -2,10 +2,10 @@
backbone:
remote: https://github.com/jashkenas/backbone
version: "1.2.1"
version: "1.2.3"
license:
name: MIT
url: https://github.com/jashkenas/backbone/blob/1.2.1/LICENSE
url: https://github.com/jashkenas/backbone/blob/1.2.3/LICENSE
gpl-compatible: true
js:
assets/vendor/backbone/backbone-min.js: { weight: -19, minified: true }
......
......@@ -288,7 +288,7 @@ function testVersionQueryString() {
$js_render_array = \Drupal::service('asset.js.collection_renderer')->render($js);
$rendered_js = $this->renderer->renderPlain($js_render_array);
$this->assertTrue(strpos($rendered_js, 'core/assets/vendor/backbone/backbone-min.js?v=1.2.1') > 0 && strpos($rendered_js, 'core/assets/vendor/domready/ready.min.js?v=1.0.8') > 0 , 'JavaScript version identifiers correctly appended to URLs');
$this->assertTrue(strpos($rendered_js, 'core/assets/vendor/backbone/backbone-min.js?v=1.2.3') > 0 && strpos($rendered_js, 'core/assets/vendor/domready/ready.min.js?v=1.0.8') > 0 , 'JavaScript version identifiers correctly appended to URLs');
}
/**
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment